Skip to main content

Audit Log Actions

https://api.losant.com/orgs/ORG_ID/audit-logs/AUDIT_LOG_ID

Below are the various requests that can be performed against the Audit Log resource, as well as the expected parameters and the potential responses.

Get​

Retrieves information on an audit log

Method And Url​

GET https://api.losant.com/orgs/ORG_ID/audit-logs/AUDIT_LOG_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, auditLog.*, auditLog.get, only.Organization, only.Organization.bounded, or only.Organization.read.

Request Path Components​

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8
AUDIT_LOG_IDID associated with the audit log57955788124b37010084c053

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs/ORG_ID/audit-logs/AUDIT_LOG_ID

Successful Responses​

CodeTypeDescription
200Audit LogAudit log information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if audit log was not found

Schemas​

Audit Log​

Schema for a single Audit Log entry

Audit Log Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 20 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 1 key
                                      • {} 0 keys
                                        • ▶
                                          {} 1 key
                                          • {} 0 keys
                                            • ▶
                                              {} 3 keys

                                          Audit Log Example​

                                          • ▶
                                            {} 17 keys
                                            • "586e9d5151265cb9d72f6ec6"
                                            • "586e9d5151265cb9d72f6ec6"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "575ed6e87ae143cd83dc4aa8"
                                            • "575ec8687ae143cd83dc4a97"
                                            • "Application"
                                            • "My Application"
                                            • "575ed70c7ae143cd83dc4aa9"
                                            • "User"
                                            • "actor@example.com"
                                            • "application"
                                            • "delete"
                                            • {} 0 keys
                                              • {} 0 keys
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 1 key
                                                    • 200

                                                  Error​

                                                  Schema for errors returned by the API

                                                  Error Schema​

                                                  • ▶
                                                    {} 3 keys
                                                    • "http://json-schema.org/draft-07/schema#"
                                                    • "object"
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 1 key
                                                          • ▶
                                                            {} 2 keys

                                                        Error Example​

                                                        • ▶
                                                          {} 2 keys
                                                          • "NotFound"
                                                          • "Application was not found"

                                                        Was this page helpful?


                                                        Still looking for help? You can also search the Losant Forums or submit your question there.